package inf101.v18.rogue101.items;

import inf101.v18.rogue101.objects.IItem;

public interface IBuffItem extends IItem {
    /**
     * Retrieve damage increase done by the buff item.
     *
     * @return  An int, May be 0
     */
    int getBuffDamage();

    /**
     * Retrieve defence increase done by the buff item.
     *
     * @return  An int, May be 0
     */
    int getBuffDefence();

    /**
     * Retrieve defence increase done by the buff item.
     *
     * @return  An int, May be 0
     */
    int getBuffDamageReduction();

    /**
     * Retrieve visibility increase done by the buff item.
     *
     * @return  An int, May be 0
     */
    int getBuffVisibility();
}
